@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap");

:root {
  --color-bg: #fafafa;
  --color-text: #1e293b;
  --color-text-secondary: #64748b;
  --color-link: #8b5cf6;
  --color-link-hover: #6d28d9;
  --font-main: "Inter", system-ui, sans-serif;
}

body {
  background-color: var(--color-bg);
  color: var(--color-text);
  font-family: var(--font-main);
  max-width: 700px;
  margin: 0 auto;
  padding: 0 20px;
  line-height: 1.6;
  font-size: 1.05rem;
}

a {
  color: var(--color-link);
  text-decoration: underline;
}

a:hover {
  color: var(--color-link-hover);
}

.section-nav {
  display: flex;
  justify-content: center;
  gap: 40px;

  a {
    font-weight: bolder;
  }
}

.name {
  text-align: center;
}

.project {
  margin: 20px 0;
  display: flex;
  flex-direction: column;
}

.project-name {
  font-weight: bold;
}

.project-stack {
  padding-top: 5px;
  color: var(--color-text-secondary);
  display: flex;
  gap: 20px;
  max-width: 350px;
  font-size: 0.9rem;
}

.project-description {
  padding-top: 5px;
}

.project-links {
  padding-top: 5px;
  max-width: 250px;
  font-size: 0.9rem;
  display: flex;
  gap: 20px;
}

.contact-links {
  display: flex;
  flex-direction: column;
  gap: 15px;
}
